<p *ngIf="errorMessage">{{ errorMessage }}</p>
<div class="d-flex align-items-center justify-content-center flex-wrap">
  <div class="btn-group" mdbDropdown>
    <button
      mdbDropdownToggle
      mdbBtn
      color="unique"
      size="lg"
      class="dropdown-toggle waves-light"
      type="button"
      mdbWavesEffect
    >
      Category: {{ selectedCategory.name }}
    </button>
    <div class="dropdown-menu">
      <a
        class="dropdown-item"
        [class.active]="category.name === selectedCategory.name"
        *ngFor="let category of categories"
        (click)="handleCategoryChange(category)"
        >{{ category.name }}</a
      >
    </div>
  </div>
</div>
